Bug 1508574 - can we please have xfreerdp group itself in Alt+Tab please?
Summary: can we please have xfreerdp group itself in Alt+Tab please?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freerdp
Version: 26
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-01 17:08 UTC by lejeczek
Modified: 2018-03-30 12:55 UTC (History)
5 users (show)

Fixed In Version: freerdp-2.0.0-35.20171220gitbfe8359.fc27 freerdp-2.0.0-35.20171220gitbfe8359.fc26 freerdp-2.0.0-39.20180314gitf8baeb7.fc27 freerdp-2.0.0-39.20180314gitf8baeb7.fc26 freerdp-2.0.0-40.20180320gitde83f4d.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-30 12:55:47 UTC


Attachments (Terms of Use)

Description lejeczek 2017-11-01 17:08:02 UTC
Description of problem:

that would be of a great help!
Having multiple xfreerdp and switching between with Alt+Tab is, as of this moment kind of a ... well, a nightmare. Not knowing which window is which.

regards.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2017-12-20 14:32:03 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc26 remmina-1.2.0-0.43.20171220git08f5b4b.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e2917f50e

Comment 2 Fedora Update System 2017-12-20 14:33:06 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc27 remmina-1.2.0-0.43.20171220git08f5b4b.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-504f06e50b

Comment 3 Fedora Update System 2017-12-21 20:26:04 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc27, remmina-1.2.0-0.43.20171220git08f5b4b.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-504f06e50b

Comment 4 Fedora Update System 2017-12-21 21:11:00 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc26, remmina-1.2.0-0.43.20171220git08f5b4b.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e2917f50e

Comment 5 Fedora Update System 2018-01-08 01:37:08 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc27, remmina-1.2.0-0.43.20171220git08f5b4b.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-01-09 16:48:09 UTC
freerdp-2.0.0-35.20171220gitbfe8359.fc26, remmina-1.2.0-0.43.20171220git08f5b4b.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 lejeczek 2018-01-16 14:52:46 UTC
hi
I have freerdp-2.0.0-35.20171220gitbfe8359.fc27.x86_64
but xfreerdp still (I'm in gnome@Wayland) does not group itself under Alt+Tab.
Still separate icons. Sorry.

Comment 8 Simone Caronni 2018-01-18 08:44:58 UTC
Reopened.

Comment 9 Simone Caronni 2018-01-19 14:07:07 UTC
Can you check if it is fixed with this build?

https://bodhi.fedoraproject.org/updates/FEDORA-2018-c4ab472324

dnf -y --enablerepo=updates-testing update \*freerdp\* \*winpr\* \*remmina\*

Comment 10 lejeczek 2018-01-29 13:06:35 UTC
$ rpm -qa \*freerdp\* \*winpr\* \*remmina\*
freerdp1.2-1.2.0-9.fc27.x86_64
libwinpr-2.0.0-36.20180115git8f52c7e.fc27.x86_64
freerdp-2.0.0-36.20180115git8f52c7e.fc27.x86_64
freerdp-libs-2.0.0-36.20180115git8f52c7e.fc27.x86_64

still no good :( sorry

Comment 11 Fedora Update System 2018-03-15 08:43:45 UTC
freerdp-2.0.0-39.20180314gitf8baeb7.fc28 remmina-1.2.0-0.48.20180314.git.04e4a99.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f754a46985

Comment 12 Fedora Update System 2018-03-15 08:44:19 UTC
remmina-1.2.0-0.48.20180314.git.04e4a99.fc27 freerdp-2.0.0-39.20180314gitf8baeb7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b3bda07364

Comment 13 Fedora Update System 2018-03-15 08:44:47 UTC
freerdp-2.0.0-39.20180314gitf8baeb7.fc26 remmina-1.2.0-0.48.20180314.git.04e4a99.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-05115b29ba

Comment 14 Fedora Update System 2018-03-15 13:32:10 UTC
freerdp-2.0.0-39.20180314gitf8baeb7.fc28, remmina-1.2.0-0.48.20180314.git.04e4a99.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f754a46985

Comment 15 Fedora Update System 2018-03-15 15:58:35 UTC
freerdp-2.0.0-39.20180314gitf8baeb7.fc26, remmina-1.2.0-0.48.20180314.git.04e4a99.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-05115b29ba

Comment 16 Fedora Update System 2018-03-15 16:27:09 UTC
freerdp-2.0.0-39.20180314gitf8baeb7.fc27, remmina-1.2.0-0.48.20180314.git.04e4a99.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b3bda07364

Comment 17 Fedora Update System 2018-03-19 04:37:20 UTC
freerdp-2.0.0-39.20180314gitf8baeb7.fc27, remmina-1.2.0-0.48.20180314.git.04e4a99.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-03-20 17:34:24 UTC
freerdp-2.0.0-39.20180314gitf8baeb7.fc26, remmina-1.2.0-0.48.20180314.git.04e4a99.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-03-21 09:35:32 UTC
freerdp-2.0.0-40.20180320gitde83f4d.fc28 remmina-1.2.0-0.50.20180321.git.f467f19.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f754a46985

Comment 20 Fedora Update System 2018-03-21 14:12:26 UTC
freerdp-2.0.0-40.20180320gitde83f4d.fc28, remmina-1.2.0-0.50.20180321.git.f467f19.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f754a46985

Comment 21 lejeczek 2018-03-21 16:00:39 UTC
not working, not there. Sorry

rpm -qa \*freerdp\* \*winpr\* \*remmina\*
freerdp-2.0.0-39.20180314gitf8baeb7.fc27.x86_64
freerdp-libs-2.0.0-39.20180314gitf8baeb7.fc27.x86_64
freerdp1.2-1.2.0-9.fc27.x86_64
libwinpr-2.0.0-39.20180314gitf8baeb7.fc27.x86_64

xfreerdp still does not group under alt+tab.

Comment 22 Fedora Update System 2018-03-30 12:55:47 UTC
freerdp-2.0.0-40.20180320gitde83f4d.fc28, remmina-1.2.0-0.50.20180321.git.f467f19.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.